<?php

namespace Api\Controllers\Integration\Discord;

use Api\Core\Controller;
use PDO;

class SettingsController extends Controller
{
  public function get()
  {
    $settings = [
      'guildID' => settings('discordGuildID'),
      'roleSyncingStatus' => settings('discordRoleSyncingStatus') == '1',
      'setNicknameStatus' => settings('discordSetNicknameStatus') == '1',
      'syncedRoleID' => settings('discordSyncedRoleID'),
      'ticketStatus' => settings('discordTicketStatus') == '1',
      'ticketCategoryID' => settings('discordTicketCategoryID'),
      'ticketStaffRoleIDs' => [
        settings('discordTicketStaffRoleID')
      ]
    ];

    response()->json($settings);
  }
}