<?php

namespace Dashboard\Controllers\Settings;

use Dashboard\Core\Controller;

class PunishmentController extends Controller
{
    public function __construct()
    {
        abort_perm('MANAGE_SETTINGS');
    }

    public function index()
    {
        return view('settings.punishments.index');
    }

    public function update()
    {
        if (input("mysqlServerStatus") == 0) {
          set_input("punishmentsMysqlHost", "");
          set_input("punishmentsMysqlPort", "3306");
          set_input("punishmentsMysqlUsername", "");
          set_input("punishmentsMysqlPassword", "");
          set_input("punishmentsMysqlDatabase", "");
        }

        foreach ($_POST as $key => $value) {
            $updateSettings = db()->prepare("UPDATE Settings SET value = ? WHERE name = ?");
            $updateSettings->execute([input($key), $key]);
        }

        $updateSettings = db()->prepare("UPDATE Settings SET value = ? WHERE name = ?");
        $updateSettings->execute(array(time(), "updatedAt"));
        createLog("PUNISHMENT_SETTINGS_UPDATED");

        return back()->flash("success", t__('Changes has been saved successfully!'));

    }
}