<?php
  namespace Api\Services;

  class ListingService
  {
    public static function buildTree($categories, $products, $parent_id = 0)
    {
      $tree = array();

      foreach ($categories as $category) {
        if ($category['parentID'] == $parent_id) {
          $categoryNode = $category;

          $categoryNode["subcategories"] = self::buildTree($categories, $products, $category['id']);
          $categoryNode["products"] = array();

          foreach ($products as $product) {
            if ($product['categoryID'] == $category['id']) {
              $categoryNode['products'][] = $product;
            }
          }

          $tree[] = $categoryNode;
        }
      }

      return $tree;
    }
  }