<?php

namespace Dashboard\Controllers\Ajax;

use Dashboard\Core\Controller;
use FroalaEditor_Image;
use Verot\Upload\Upload;

class TextEditorController extends Controller
{
    public function upload()
    {
        $upload = new Upload($_FILES["upload"]);
        $imageID = md5(uniqid(rand(0, 9999)));
        if ($upload->uploaded) {
          $upload->allowed = array("image/*");
          $upload->file_new_name_body = $imageID;
          $upload->process(__ROOT__ . "/apps/main/public/images/uploads/");
          if ($upload->processed) {
            response()->json([
              'url' => '/apps/main/public/images/uploads/' . $imageID .".". $upload->file_dst_name_ext,
            ]);
          } else {
            response()->json([
              'status' => false,
              'error'  => $upload->error,
            ]);
          }
        }
        else {
          response()->json([
            'status' => false,
          ]);
        }
    }
}