<?php
	namespace Dashboard\Core;
	
	class Auth {
		private static ?User $user = null;
		
		public function __construct()
		{
			if (isset($_SESSION['user'])) {
        self::$user = new User($_SESSION['user']["id"], $_SESSION['user']["username"], $_SESSION['user']["realname"], $_SESSION['user']["email"], $_SESSION['user']["avatar"], $_SESSION['user']["roles"], $_SESSION['user']["permissions"], $_SESSION['user']["supportPermissions"], $_SESSION['user']);
			}
		}
		
		public static function user(): ?User
		{
			return self::$user;
		}
		
		public static function check(): bool
		{
			return isset($_SESSION['user']);
		}
		
		public static function logout(): void
		{
			removeCookie("rememberMe");
			unset($_SESSION['login']);
			unset($_SESSION['user']);
		}
	}