<?php
	
	namespace Main\Services;
	
	use Exception;
	use Verot\Upload\Upload;
	
	class CkEditorImageUploadService
	{
		/**
		 * @throws Exception
		 */
		public static function upload($file, $upload_dir): string
		{
			$upload = new Upload($file);
			$imageID = md5(uniqid(rand(0, 9999)));
			if ($upload->uploaded) {
				$upload->allowed = array("image/*");
				$upload->file_new_name_body = $imageID;
				$upload->process(__ROOT__ . $upload_dir);
				if ($upload->processed) {
					return $imageID .".". $upload->file_dst_name_ext;
				}
				
				throw new Exception($upload->error);
			}
			
			throw new Exception('File not uploaded');
		}
	}