<?php
	namespace Main\Services;
	
	class MoneyService
	{
		public static function credits($amount): string
		{
			$credits = formatMoney($amount, settings('removeMoneyZeroDecimal') == 1);
			
			if (settings('creditText') != "" && settings('creditText') != null)
				return $credits." ".settings('creditText');
			
			return t__('%credit% credit(s)', ['%credit%' => $credits]);
		}
	}